Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
Class ClassGeneratorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.classgen.ClassGeneratorException

All Implemented Interfaces:
  Serializable

    public class ClassGeneratorException

extends RuntimeException

An exception thrown by the class generator

Version:
  $Revision: 6778 $
Author:
  James Strachan
See Also:
  Serialized Form

Constructor Summary
`ClassGeneratorException(String message)`
`ClassGeneratorException(String message, Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassGeneratorException

    public ClassGeneratorException(String message)

### ClassGeneratorException

    public ClassGeneratorException(String message,
                                   Throwable cause)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD